Subject: Re: bug#16119: 24.3.50; emacs aborted -- [xcb] Unknown request in queue while appending request

From: Nicolas Richard <[email-masked]>
Date: Thu, 12 Dec 2013 18:21:10 +0100

Le 12/12/2013 16:07, Dmitry Antipov a écrit :
> On 12/12/2013 06:03 PM, Nicolas Richard wrote:
> 
>> Btw it was not from emacs -Q.
>>
>> Also, the 6 threads don't show up from the beginning. I don't know when
>> the last two (5 and 6) appeared.
> 
> If so, can you also give a hint to reproduce crash?

I wish I had a recipe, but it always seemed to happen randomly. Also, I'm not sure the different crashes I've had were all related. Assuming they were, sometimes it crashed while I was doing something (e.g. when calling emacsclient from thunderbird, or switching buffer/about to find a file), sometimes when I was leaving my X session.

>> Sure, here it is :
>> https://www.dropbox.com/s/5o2pjldmba86xk7/emacs.tar.bz2
> 
> After installing some libraries, I'm able run your binary.
> Since it doesn't crash for me (yet), here is a binary
> with all required libraries from my system:

It doesn't crash for me right away, and I never used it long enough from -Q to see if I could reproduce from -Q. But my emacs from -Q is... much less usable. I will try to make a "minimal usable .emacs" and see if something happens too.

> http://37.139.80.10/tmp/alien-emacs.tar.xz

I downloaded it, will try later.

-- 
Nico